#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=magna2.13_depth_histogram.ps
projection=-JX12/10
region=-R0/15/0/18
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa5f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths magna2.13' -K <<END>> $psfile
     9.000
     6.000
     4.000
     8.000
     4.000
     6.000
     7.000
     8.000
     5.000
    10.000
     8.700
    10.400
     0.600
    10.400
     8.800
     2.300
     7.100
     2.100
     5.900
     5.800
     7.500
     6.300
     6.500
     7.600
     7.200
     7.400
     5.800
     6.500
     9.000
     8.000
     7.000
     7.000
     8.000
     7.000
     7.000
     6.000
     6.000
     8.000
     8.000
     7.000
     5.000
     7.000
    10.000
     8.000
     6.000
     7.000
     6.000
     5.000
     5.000
     8.000
     8.000
     9.000
     9.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
    16.920     1.000 Median of constrained depths =  7.0
END
